> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spade.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Report that a card decline occurred

> An endpoint for reporting that a card decline has occurred on a transaction. The `declineCode`, `declineDescription`, and `declineNotes` properties can be used to provide information about the decline. The `isFraud`, `fraudType`, and `fraudNotes` are used to provide information about fraud or suspected fraud related to this decline. Note that this transaction must previously have been enriched to report the decline.




## OpenAPI

````yaml /api-reference/spec.yml post /enrichments/{enrichmentId}/decline
openapi: 3.1.0
info:
  title: Spade API
  description: >-
    Documentation for Spade's card transaction enrichment API and related
    endpoints. We offer sandbox and production environments on both the east
    coast and west coast to enable ultra low latency enrichment for realtime
    applications. Each environment requires different API keys. To inquire about
    API keys, please contact your Spade representative or reach out to
    <hello@spade.com>.
  version: 2.7.3
servers:
  - url: https://east.sandbox.spade.com
    description: East coast sandbox environment
  - url: https://east.api.spade.com
    description: East coast production environment
  - url: https://west.sandbox.spade.com
    description: West coast sandbox environment
  - url: https://west.api.spade.com
    description: West coast production environment
  - url: https://sandbox.v2.spadeapi.com
    description: East coast sandbox environment (deprecated)
  - url: https://v2.spadeapi.com
    description: East coast production environment (deprecated)
  - url: https://sandbox.west.v2.spadeapi.com
    description: West coast sandbox environment (deprecated)
  - url: https://west.v2.spadeapi.com
    description: West coast production environment (deprecated)
security:
  - ApiKeyAuth: []
tags:
  - name: Card Enrichment
    description: Enrich card transactions
  - name: Transfer Enrichment
    description: Enrich transfers
  - name: Category Personalization
    description: Create custom categories and personalize enrichments
  - name: Feedback and Reporting
    description: Provide feedback on card events or report enrichment errors
  - name: Merchant Search
    description: Search for Spade merchants
  - name: Merchant Action Triggers
    description: >-
      Register merchant action triggers and receive triggered actions in
      enrichment responses
  - name: Category Action Triggers
    description: >-
      Register category action triggers and receive triggered actions in
      enrichment responses
paths:
  /enrichments/{enrichmentId}/decline:
    parameters:
      - in: path
        name: enrichmentId
        schema:
          type: string
        description: >-
          The `enrichmentId` of enrichment associated with the transaction where
          a card decline occurred.
        required: true
    post:
      tags:
        - Feedback and Reporting
      summary: Report that a card decline occurred
      description: >
        An endpoint for reporting that a card decline has occurred on a
        transaction. The `declineCode`, `declineDescription`, and `declineNotes`
        properties can be used to provide information about the decline. The
        `isFraud`, `fraudType`, and `fraudNotes` are used to provide information
        about fraud or suspected fraud related to this decline. Note that this
        transaction must previously have been enriched to report the decline.
      operationId: enrichmentDecline
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    declineCode:
                      type: string
                      description: >
                        A two digit alphanumeric code indicating why a card
                        transaction was declined. For reference, see the [Visa
                        Action
                        Code](https://developer.visa.com/request_response_codes)
                        or the [Mastercard Network Response
                        Codes](https://developer.mastercard.com/mastercard-merchant-presented-qr/documentation/server-apis/response-error-codes/#network-response-codes).
                      maxLength: 128
                      examples:
                        - '51'
                    declineDescription:
                      type: string
                      description: A plain text description associated with a decline code.
                      maxLength: 512
                      examples:
                        - Insufficient funds
                    declineNotes:
                      type: string
                      description: >-
                        Any additional details related to a card decline not
                        covered by the `declineCode` or `declineDescription`.
                      maxLength: 512
                      examples:
                        - Unknown reason for decline.
                    occurredAt:
                      type: string
                      format: date-time
                      description: >-
                        The time the decline occurred. Formatted as an ISO 8601
                        date time.
                      examples:
                        - '2022-06-15 18:27:51Z'
                - $ref: '#/components/schemas/CommonFraud'
      responses:
        '200':
          description: Decline reported successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnrichmentFeedbackResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '403':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    CommonFraud:
      type: object
      properties:
        isFraud:
          type: boolean
          description: >-
            A boolean indicating if this transaction was suspected to involve
            fraud.
          examples:
            - false
        fraudType:
          type: string
          description: >
            The type of fraud suspected to have occurred. This field can only be
            provided if `isFraud` is true.
          enum:
            - card_not_present
            - card_testing
            - chargeback_fraud
            - counterfeit_card
            - merchant_fraud
            - other
            - phishing
            - stolen_card
            - unknown
            - none
        fraudNotes:
          type: string
          description: >
            Any additional details related to fraud suspected to have occurred
            on the associated transaction. This field can only be provided if
            `isFraud` is true.
          maxLength: 512
          examples:
            - Merchant is believed to commonly be used for card testing.
    EnrichmentFeedbackResponse:
      type: object
      description: Response for reporting any kind of enrichment feedback.
      properties:
        details:
          type: string
          examples:
            - Chargeback successfully reported.
  responses:
    BadRequest:
      description: Invalid input
      content:
        application/json:
          schema:
            type: object
            properties:
              invalidField:
                type: array
                items:
                  type: string
                  examples:
                    - This field is required.
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              details:
                type: string
                examples:
                  - Incorrect authentication credentials.
    InternalServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            type: object
            properties:
              details:
                type: string
                examples:
                  - Internal server error.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-Api-Key
      in: header

````